Intermittent test_notification_http2.js | Test timed out

RESOLVED WORKSFORME

Status

()

Core
DOM: Push Notifications
P3
normal
RESOLVED WORKSFORME
a year ago
7 months ago

People

(Reporter: Tomcat, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

a year ago
https://treeherder.mozilla.org/logviewer.html#?job_id=31257397&repo=mozilla-inbound#L7394

 22:01:42 WARNING - TEST-UNEXPECTED-TIMEOUT | dom/push/test/xpcshell/test_notification_http2.js | Test timed out

Comment 1

a year ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 10

Platform breakdown:
* linux32: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284790&startday=2016-07-04&endday=2016-07-10&tree=all
Keywords: intermittent-failure

Comment 2

a year ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 3

a year ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14

Platform breakdown:
* linux64: 5
* linux32: 5
* osx-10-10: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284790&startday=2016-09-12&endday=2016-09-18&tree=all
All those oranges have one thing in common:

> 12:02:02     INFO -  Node moz-http2 server shutting down ...
> 12:02:02     INFO -  Node server moz-http2 already dead 8
> 12:02:02     INFO -  Process stderr
> 12:02:02     INFO -  /builds/slave/test/build/tests/xpcshell/moz-http2/moz-http2.js:664
> 12:02:02     INFO -      pushPushServer4 = res.push(
> 12:02:02     INFO -                            ^
> 12:02:02     INFO -  TypeError: Object #<ServerResponse> has no method 'push'
> 12:02:02     INFO -      at Server.handleRequest (/builds/slave/test/build/tests/xpcshell/moz-http2/moz-http2.js:664:27)
> 12:02:02     INFO -      at Server.EventEmitter.emit (events.js:98:17)
> 12:02:02     INFO -      at Server.EventEmitter.emit (events.js:98:17)
> 12:02:02     INFO -      at HTTPParser.parser.onIncoming (http.js:2108:12)
> 12:02:02     INFO -      at HTTPParser.parserOnHeadersComplete [as onHeadersComplete] (http.js:121:23)
> 12:02:02     INFO -      at CleartextStream.socket.ondata (http.js:1966:22)
> 12:02:02     INFO -      at CleartextStream.read [as _read] (tls.js:507:12)
> 12:02:02     INFO -      at CleartextStream.Readable.read (_stream_readable.js:320:10)
> 12:02:02     INFO -      at EncryptedStream.write [as _write] (tls.js:366:25)
> 12:02:02     INFO -      at doWrite (_stream_writable.js:221:10)

So the Node server crashes because we're trying to use server push on a connection that doesn't support it. Did the H2 upgrade fail here?
this was a taskcluster rollout issue iirc - but its been OBE a long time.
Status: NEW → RESOLVED
Last Resolved: 7 months ago
Resolution: --- → WORKSFORME

Comment 6

7 months ago
5 failures in 894 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5

Platform breakdown:
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1284790&startday=2017-04-10&endday=2017-04-16&tree=all
You need to log in before you can comment on or make changes to this bug.